<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="CompilerConfiguration">
    <annotationProcessing>
      <profile default="true" name="Default" enabled="true" />
      <profile name="Maven default annotation processors profile" enabled="true">
        <sourceOutputDir name="target/generated-sources/annotations" />
        <sourceTestOutputDir name="target/generated-test-sources/test-annotations" />
        <outputRelativeToContentRoot value="true" />
        <module name="module-task" />
        <module name="common-generator" />
        <module name="module-minio" />
        <module name="service" />
        <module name="service-utils" />
        <module name="module-rabbitMQ" />
        <module name="spring-security" />
        <module name="common-utils" />
        <module name="model" />
        <module name="module-mail" />
        <module name="demo1" />
        <module name="module-websocket" />
      </profile>
    </annotationProcessing>
  </component>
  <component name="JavacSettings">
    <option name="ADDITIONAL_OPTIONS_OVERRIDE">
      <module name="common-generator" options="-parameters" />
      <module name="common-utils" options="-parameters" />
      <module name="model" options="-parameters" />
      <module name="module-mail" options="-parameters" />
      <module name="module-minio" options="-parameters" />
      <module name="module-rabbitMQ" options="-parameters" />
      <module name="module-task" options="-parameters" />
      <module name="module-websocket" options="-parameters" />
      <module name="service" options="-parameters" />
      <module name="service-utils" options="-parameters" />
      <module name="spring-security" options="-parameters" />
    </option>
  </component>
</project>